Admin
Create a shop profile
Provision a shop profile for a new location. Administrators supply the shop’s address, email, and phone number.
POST
/
admin
/
shops
Create a shop profile
curl --request POST \
--url https://api.guile.app/admin/shops \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"address": {
"address1": "<string>",
"locality": "Atlanta",
"regionCode": "VT",
"postalCode": "20521-9000",
"countryCode": "CA",
"address2": "<string>"
}
}
'import requests
url = "https://api.guile.app/admin/shops"
payload = {
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"address": {
"address1": "<string>",
"locality": "Atlanta",
"regionCode": "VT",
"postalCode": "20521-9000",
"countryCode": "CA",
"address2": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
phoneNumber: '<string>',
address: {
address1: '<string>',
locality: 'Atlanta',
regionCode: 'VT',
postalCode: '20521-9000',
countryCode: 'CA',
address2: '<string>'
}
})
};
fetch('https://api.guile.app/admin/shops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"address": {
"address1": "<string>",
"locality": "Atlanta",
"regionCode": "VT",
"postalCode": "20521-9000",
"countryCode": "CA",
"address2": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"profilePhoto": {
"url": "<string>",
"thumbnailUrl": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}Body
application/json
Properties required to create a shop profile.
The shop's email address.
Required string length:
6 - 255Pattern:
^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$The shop's phone number.
Required string length:
6 - 20Pattern:
^\+?[0-9]{1,3}?[ -]?\(?[0-9]{1,4}?\)?[ -]?[0-9]{1,4}?[ -]?[0-9]{1,4}?[ -]?[0-9]{1,9}$The postal address of the shop location.
Show child attributes
Show child attributes
Response
Created.
A representation of a shop profile.
The unique identifier of the shop profile.
The shop's email address.
Required string length:
6 - 255Pattern:
^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$The shop's phone number.
Required string length:
6 - 20Pattern:
^\+?[0-9]{1,3}?[ -]?\(?[0-9]{1,4}?\)?[ -]?[0-9]{1,4}?[ -]?[0-9]{1,4}?[ -]?[0-9]{1,9}$The postal address of the shop location.
Show child attributes
Show child attributes
The profile photo variants returned for the shop, if available.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a shop profile
